// -----------------------------------------------------------------------
// Litmus - DKFZ SIDT unit testing library
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostic and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See litmusCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/litmus/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 4433 $ (last changed revision)
// @date    $Date: 2013-01-22 14:38:20 +0100 (Di, 22 Jan 2013) $ (last change date)
// @author  $Author: floca $ (last changed by)
*/


#ifndef __LIT_DEFAULT_TEST_REPORTING_H
#define __LIT_DEFAULT_TEST_REPORTING_H

#include "litConfigure.h"

namespace lit
{
    class TestReporter;

    class TestResults;

/*! @brief Returns a default TestReporter present as a singelton for the whole application
 @ingroup Testing*/
    LitmusCommon_EXPORT TestReporter& getTestReporter();

/*! @brief Returns a default TestResults instance present as a singelton for the whole application
 @ingroup Testing*/
    LitmusCommon_EXPORT TestResults& getTestResults();

}

#endif
